PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » Crypto (Cryptography) » Direct Crypto Core Access » Vector Unit (VU)

## General Description

## Functions
void | Cy_Crypto_Core_Vu_SetMemValue (CRYPTO_Type *base, uint32_t dstReg, uint8_t const *src, uint32_t size)
| Sets the value in the Crypto memory allocated by the destination VU register. More...
void | Cy_Crypto_Core_Vu_GetMemValue (CRYPTO_Type *base, uint8_t *dst, uint32_t srcReg, uint32_t size)
| Gets the value located in the crypto memory and pointed by source VU register. More...
bool | Cy_Crypto_Core_Vu_IsRegZero (CRYPTO_Type *base, uint32_t srcReg)
| Returns TRUE if srcReg contains 0. More...
bool | Cy_Crypto_Core_Vu_IsRegEqual (CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)
| Returns TRUE if srcReg0 contains the same value as srcReg1. More...
bool | Cy_Crypto_Core_Vu_IsRegLess (CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)
| Returns TRUE if srcReg0 contains the value less than value of srcReg1. More...
__STATIC_INLINE uint32_t | Cy_Crypto_Core_Vu_RegRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns the data pointed in a given register. More...
__STATIC_INLINE uint16_t | Cy_Crypto_Core_Vu_RegSizeRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns size of the data pointed in given register, it is lower 12Bit of the 32Bit word. More...
__STATIC_INLINE uint16_t | Cy_Crypto_Core_Vu_RegBitSizeRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns size of the data pointed in given register, in Bits. More...
__STATIC_INLINE uint16_t | Cy_Crypto_Core_Vu_RegByteSizeRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns size of the data pointed in given register, in Bytes. More...
__STATIC_INLINE uint16_t | Cy_Crypto_Core_Vu_RegWordSizeRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns size of the data pointed in given register, in words (uint32_t). More...
__STATIC_INLINE uint16_t | Cy_Crypto_Core_Vu_RegDataPtrRead (CRYPTO_Type *base, uint32_t srcReg)
| Returns the data pointer, in 14-bit format of the data pointed in given register, it is upper 16Bit of the 32Bir word. More...
__STATIC_INLINE uint32_t * | Cy_Crypto_Core_Vu_RegMemPointer (CRYPTO_Type *base, uint32_t srcReg)
| Returns the memory address of the data pointed in given register. More...
__STATIC_INLINE uint32_t | Cy_Crypto_Core_Vu_StatusRead (CRYPTO_Type *base)
| Returns the value of the VU status register. More...
void | Cy_Crypto_Core_VU_RegInvertEndianness (CRYPTO_Type *base, uint32_t srcReg)
| Reverts the memory data block pointed in given register. More...

## Function Documentation

## ◆ Cy_Crypto_Core_Vu_SetMemValue()

void Cy_Crypto_Core_Vu_SetMemValue | ( | CRYPTO_Type * | base,
|  | uint32_t | dstReg,
|  | uint8_t const * | src,
|  | uint32_t | size
| ) |  |

Sets the value in the Crypto memory allocated by the destination VU register.

When D-Cache is enabled, the user is expected to maintain the cache coherency of data..

Parameters

  base | The pointer to the CRYPTO instance.
  dstReg | The destination vector unit register.
  src | The pointer to the source value.
  size | The size of the operated value.

## ◆ Cy_Crypto_Core_Vu_GetMemValue()

void Cy_Crypto_Core_Vu_GetMemValue | ( | CRYPTO_Type * | base,
|  | uint8_t * | dst,
|  | uint32_t | srcReg,
|  | uint32_t | size
| ) |  |

Gets the value located in the crypto memory and pointed by source VU register.

When D-Cache is enabled, the user is expected to maintain the cache coherency of data..

Parameters

  base | The pointer to the CRYPTO instance.
  dst | The pointer to the destination value.
  srcReg | The source vector unit register.
  size | The size of the operated value.

## ◆ Cy_Crypto_Core_Vu_IsRegZero()

bool Cy_Crypto_Core_Vu_IsRegZero | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns TRUE if srcReg contains 0.

FALSE - otherwise.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

Returns
  The result of the comparison.

## ◆ Cy_Crypto_Core_Vu_IsRegEqual()

bool Cy_Crypto_Core_Vu_IsRegEqual | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg0,
|  | uint32_t | srcReg1
| ) |  |

Returns TRUE if srcReg0 contains the same value as srcReg1.

FALSE - otherwise.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg0 | The source 0 vector unit register.
  srcReg1 | The source 1 vector unit register.

Returns
  The result of the comparison.

## ◆ Cy_Crypto_Core_Vu_IsRegLess()

bool Cy_Crypto_Core_Vu_IsRegLess | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg0,
|  | uint32_t | srcReg1
| ) |  |

Returns TRUE if srcReg0 contains the value less than value of srcReg1.

FALSE - otherwise.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg0 | The source 0 vector unit register.
  srcReg1 | The source 1 vector unit register.

Returns
  The result of the comparison.

## ◆ Cy_Crypto_Core_Vu_RegRead()

__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_RegRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns the data pointed in a given register.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegSizeRead()

__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegSizeRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns size of the data pointed in given register, it is lower 12Bit of the 32Bit word.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegBitSizeRead()

__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegBitSizeRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns size of the data pointed in given register, in Bits.

It is lower 12Bit of the 32Bit word

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegByteSizeRead()

__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegByteSizeRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns size of the data pointed in given register, in Bytes.

It is lower 12Bit of the 32Bit word

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegWordSizeRead()

__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegWordSizeRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns size of the data pointed in given register, in words (uint32_t).

It is lower 12Bit of the 32Bit word

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegDataPtrRead()

__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegDataPtrRead | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns the data pointer, in 14-bit format of the data pointed in given register, it is upper 16Bit of the 32Bir word.

Pointer is in words (uint32_t).

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_RegMemPointer()

__STATIC_INLINE uint32_t * Cy_Crypto_Core_Vu_RegMemPointer | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Returns the memory address of the data pointed in given register.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.

## ◆ Cy_Crypto_Core_Vu_StatusRead()

__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_StatusRead | ( | CRYPTO_Type * | base | ) |

Returns the value of the VU status register.

Parameters

  base | The pointer to the CRYPTO instance.

## ◆ Cy_Crypto_Core_VU_RegInvertEndianness()

void Cy_Crypto_Core_VU_RegInvertEndianness | ( | CRYPTO_Type * | base,
|  | uint32_t | srcReg
| ) |  |

Reverts the memory data block pointed in given register.

Parameters

  base | The pointer to the CRYPTO instance.
  srcReg | The source vector unit register.